org.apache.tinkerpop.gremlin.server.op.control

## Class ControlOpProcessor

- java.lang.Object
- - org.apache.tinkerpop.gremlin.server.op.control.ControlOpProcessor

- All Implemented Interfaces:
    AutoCloseable, OpProcessor

  Deprecated.
  As for release 3.2.2, not replaced as this feature was never really published as official.

      @Deprecated
      public class ControlOpProcessor
      extends Object
      implements OpProcessor

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `OP_PROCESSOR_NAME` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControlOpProcessor()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deprecated.
    `String` | `getName()` Deprecated. The name of the processor which requests must refer to "processor" field on a request.
    `ThrowingConsumer<Context>` | `select(Context ctx)` Deprecated. Given the context (which contains the RequestMessage), return back a Consumer function that will be executed with the context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.server.OpProcessor

      `init`

- - ### Field Detail

    - #### OP_PROCESSOR_NAME

          public static final String OP_PROCESSOR_NAME

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ControlOpProcessor

          public ControlOpProcessor()

      Deprecated.

  - ### Method Detail

    - #### getName

          public String getName()

      Deprecated.
      Description copied from interface: `OpProcessor`
      The name of the processor which requests must refer to "processor" field on a request.
      Specified by:
        `getName` in interface `OpProcessor`

    - #### select

          public ThrowingConsumer<Context> select(Context ctx)
                                           throws OpProcessorException

      Deprecated.
      Description copied from interface: `OpProcessor`
      Given the context (which contains the RequestMessage), return back a Consumer function that will be executed with the context. A typical implementation will simply check the "op" field on the RequestMessage and return the Consumer function for that particular operation.
      Specified by:
        `select` in interface `OpProcessor`
      Throws:
        `OpProcessorException`

    - #### close

          public void close()
                     throws Exception

      Deprecated.
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `Exception`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.